Loading...
Searching...
No Matches
wayland::detail::refcounted_wrapper< native_t > Class Template Reference

Refcounted wrapper for C objects. More...

`#include <wayland-util.hpp>`

## Detailed Description

template<typename native_t>
class wayland::detail::refcounted_wrapper< native_t >

Refcounted wrapper for C objects.

This is by default copyable. If this is not desired, delete the copy constructor and copy assignment operator in derived classes.

Definition at line 153 of file wayland-util.hpp.

The documentation for this class was generated from the following file:

- include/wayland-util.hpp